import { Column, Entity, PrimaryColumn, UpdateDateColumn } from "typeorm";

@Entity()
export class query {
  @PrimaryColumn({ generated: "uuid", type: "varchar" })
  id: string;

  @Column({ type: "varchar", length: 255, unique: true })
  title: string;

  @Column({ type: "text", default: "" })
  query: string;

  @UpdateDateColumn()
  updatedAt: Date;
}
