import Handlebars from "handlebars";

Handlebars.registerHelper("date", function (aString) {
  return new Date(aString).toLocaleDateString("de-DE", {
    day: "2-digit",
    month: "2-digit",
    year: "numeric",
  });
});

Handlebars.registerHelper("longdate", function (aString) {
  return new Date(aString).toLocaleDateString("de-DE", {
    weekday: "long",
    day: "2-digit",
    month: "2-digit",
    year: "numeric",
  });
});

Handlebars.registerHelper("datetime", function (aString) {
  return new Date(aString).toLocaleDateString("de-DE", {
    day: "2-digit",
    month: "2-digit",
    year: "numeric",
    hour: "2-digit",
    minute: "2-digit",
  });
});

Handlebars.registerHelper("json", function (context) {
  return JSON.stringify(context);
});
