import { MigrationInterface, QueryRunner } from "typeorm";
import { setting_table } from "./baseSchemaTables/admin";
import SettingHelper from "../helpers/settingsHelper";
import ms from "ms";

export class SettingsFromEnv1745059495808 implements MigrationInterface {
  name = "SettingsFromEnv1745059495808";

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.createTable(setting_table, true, true, true);
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.dropTable(setting_table.name, true, true, true);
  }
}
